Jump to content

Error al actualizar ps 1.5.3. a 1.5.4


Recommended Posts

Me sale el siguiente error, alguien sabe a que se debe?? y como solucionarlo?

 

 

[ERROR] SQL 1.5.3.0 1054 in ALTER TABLE `os_address` CHANGE `outstanding_allow_amount` `outstanding_allow_amount` DECIMAL(20, 6) NOT NULL DEFAULT '0.000000': Unknown column 'outstanding_allow_amount' in 'os_address'Alerta detectada durante la actualización.

Edited by RicRey (see edit history)
Link to comment
Share on other sites

Madre mia!! pues comenzamos bien la nueva versión recien sacadita del horno!! :wacko:

No obstante yo sigo apostando por el gran equipo que forma Prestashop y que pronto tendrán una versión funcional lo bastante estable para trabajar con ella. El cambio a la 1.5 fué muy heavy por el tema de la multitienda para querer equipararse con magento.

Edited by petete2008 (see edit history)
Link to comment
Share on other sites

Madre mia!! pues comenzamos bien la nueva versión recien sacadita del horno!! :wacko:

No obstante yo sigo apostando por el gran equipo que forma Prestashop y que pronto tendrán una versión funcional lo bastante estable para trabajar con ella. El cambio a la 1.5 fué muy heavy por el tema de la multitienda para querer equipararse con magento.

 

El cambio que hicieron en la programación fue grande al punto que los módulos quedaron inservibles y tuvieron los desarrolladores que crear otro módulos, aparte del montón de fallas que aún tiene la versión 1.5.x...

 

Cuando yo hice el cambio de la version 1.4.9 a 1.5.2 fue un caos total, se daño la base de datos, perdi el 30% de las imágenes, productos, salian montón de errores que tuve que ir corrigiendo poco a poco, y aun tiene fallas en la base de datos, pero yo animado dije oh! la versión 1.5.3 tal vez esta me ayude a corregir dichos errores! y mi sorpresa fue tremendo error, y tuve que volver a la versión 1.5.2 a traves de un rolback y cuando lo hago puff todo dañado la base de datos no tenia ni el 30% de los productos, configuraciones y todo, pero como soy cuidadoso hice un respaldo desde el phpmyadmin y pude restaurar, el asunto que veo es que hace ya bastante tiempo la plataforma de prestashop en estabilidad esta dejando mucho que decír, en especial desde que actualizaron a 1.5.x.

 

 

En Fin espero entre toda la comunidad podamos resolver dichos problemas y tratar de guiar a los demás en esto...

 

P.D.: si alguien tiene idea a que se refiere el problema que os presente aqui por favor ayudadme a indentificarlo para tratar de corregirlo saludos.

Link to comment
Share on other sites

Es una locura actualizar una versión el mismo día que sale!!!!! Los de prestaModule han twitteado esto hoy:

@prestashop Upgrade 1.5.2 to 1.5.3: outstanding_allow_amount is in customer table, not in address. Warning !!!

 

Normal que pete :D

 

Bueno como tengo algo de conocimiento no tuve mayores problemas en poner todo en orden rápido, pero si me gustaria saber a lo que se debe ese problema, me gusta investigar bien, puesto que ayudo a unos amigos con sus actualizaciones y tambien quiero aprender para ayudar en el mismo foro

 

Normalmente se tiene el deseo de actualizar el mismo día que se saca una versión, para decir "oh mira ya tengo la ultima versión chupi piruli", pero el actualizar una tienda y mas ultimamente es un proceso serio, no podemos ir a lo loco y ser conejillos de indias.

 

Te cuento que no lo hago por ese motivo, como indicaba arriba cuando actualice de ps 1.4.9 a 1.5.2 me dio muchos problemas y con el tiempo se fueron resolviendo, pero pensaba que por cosas milagrosas talvez si actualizaba a ps 1.5.3 se arreglarian los problemas que estaban, en fin todo esta normal pero sigo con el hecho de querer saber que paso...

 

Detalles que me percate: como comentaba tenia problemas desde la 1.4.9, note una mejoría en la velocidad al ponerlo de 1.5.2 a 1.5.3 y como que varias problemas que llevaba se habian solucionado, pero algunos problemas con el theme tuve q me hicieron retroceder, asi que técnicamente si me funciono pero quiero estar 100% seguro de todo puesto que es la tienda en producción

Link to comment
Share on other sites

Bueno como tengo algo de conocimiento no tuve mayores problemas en poner todo en orden rápido, pero si me gustaria saber a lo que se debe ese problema, me gusta investigar bien, puesto que ayudo a unos amigos con sus actualizaciones y tambien quiero aprender para ayudar en el mismo foro

 

La verdad, no tengo ni idea. No puedo ayudarte, lo siento.

Link to comment
Share on other sites

Bueno como tengo algo de conocimiento no tuve mayores problemas en poner todo en orden rápido, pero si me gustaria saber a lo que se debe ese problema, me gusta investigar bien, puesto que ayudo a unos amigos con sus actualizaciones y tambien quiero aprender para ayudar en el mismo foro

 

 

Segun Jordi lo que te ha pasado (vamos que un usuario ha comentado), se ha comentado en twitter, no creo que tarden mucho en comentar que ha sido y por que ha sido.

Link to comment
Share on other sites

Segun Jordi lo que te ha pasado (vamos que un usuario ha comentado), se ha comentado en twitter, no creo que tarden mucho en comentar que ha sido y por que ha sido.

 

Te cuento que para efectos de pruebas instale una versión limpia y todo salio perfecto, e hice una prueba con otra tienda q fue instalada desde 0 con ps 1.5.2, y tambien generó errores, pero no es nada mayor, al parecer el problema se produce al actualizar.

Link to comment
Share on other sites

Te cuento que para efectos de pruebas instale una versión limpia y todo salio perfecto, e hice una prueba con otra tienda q fue instalada desde 0 con ps 1.5.2, y tambien generó errores, pero no es nada mayor, al parecer el problema se produce al actualizar.

Esperemos unos días, si a ti te ha pasado a otros usuarios también, por lo tanto se sabrá que ha sido.

Link to comment
Share on other sites

Según entiendo leyendo tu primer mensaje, es que el error que lanza es que el campo outstanding_allow_amount está en la tabla ps_customer, y no en la tabla ps_adress. De ahí el que lance el error:

Unknown column 'outstanding_allow_amount' in 'os_address'

 

Lo que no me cuadra es por qué le llaman os_ en vez de ps_. Quizás utilicen otro prefijo, o sea algo más interno de los responsables de Prestashop. Si no es lo que digo, podría ser otra cosa, pero no se me ocurre.

Edited by jesusruiz (see edit history)
Link to comment
Share on other sites

Según entiendo leyendo tu primer mensaje, es que el error que lanza es que el campo outstanding_allow_amount está en la tabla ps_customer, y no en la tabla ps_adress. De ahí el que lance el error:

Unknown column 'outstanding_allow_amount' in 'os_address'

 

Lo que no me cuadra es por qué le llaman os_ en vez de _ps. Quizás utilicen otro prefijo, o sea algo más interno de los responsables de Prestashop. Si no es lo que digo, podría ser otra cosa, pero no se me ocurre.

 

el prefijo OS, lo puedes definir cuando instalas la tienda ahi te sale la opcion eso tecnicamente no afecta en nada a la base de datos ni módulo es algo automático, lo que si me llamó la atención fue el problema que mencione, sera que se olvidaron los de prestashop de ponerla?... pero en una instalación limpia no falla, lo que me hace pensar que puede ser más bien una falta de depuración de la base de datos

Link to comment
Share on other sites

Correcto en una instalación nueva no falla, lo digo porque yo hace una hora que la instalé y todo perfecto. Pero claro, cuando se hace una instalación nueva no hay que modificar/actualizar nada, cosa que si se hace cuando se actualiza de versión. Por eso, la sentencia: ALTER TABLE `os_address` CHANGE `outstanding_allow_amount` `outstanding_allow_amount` DECIMAL(20, 6) NOT NULL DEFAULT '0.000000'

está realizando una modificación del campo outstanding_allow_amount, en la tabla os_address, y ese campo no existe en dicha tabla, saltando el consiguiente error.

 

Por lo tanto, se han equivocado en alguna parte del código de la actualización.

Edited by jesusruiz (see edit history)
Link to comment
Share on other sites

Me sale el siguiente error, alguien sabe a que se debe?? y como solucionarlo?

 

 

[ERROR] SQL 1.5.3.0 1054 in ALTER TABLE `os_address` CHANGE `outstanding_allow_amount` `outstanding_allow_amount` DECIMAL(20, 6) NOT NULL DEFAULT '0.000000': Unknown column 'outstanding_allow_amount' in 'os_address'Alerta detectada durante la actualización.

 

Hola,

 

he actualizado dos PS y una instalación (todo a 1.5.3.0) nueva y de momento no me ha saltado un error así....

 

Saludos

Link to comment
Share on other sites

La 1.5.3 han corregido muchos bugs por lo que he podido comprobar. Yo tambien aconsejo esperar unos dias sobre todo en tiendas en producción antes de actualizar para evitarnos sorpresas. Es posible que dentro de unos dias saquen la 1.5.3.1 con este problema corregido o bien que actualizen el módulo de actualización de addons para evitar estos problemas.

Link to comment
Share on other sites

Cuentanos tu experiencia con la versión 1.5.3

 

Saludos

 

De momento he visto poco, yo no la tengo en producción... asi que la trastearé a ver :). Lo que pueda ayudar lo iré compartiendo.

Si me ha chocado con un modulo de pago que instalé, pero ya está el desarrollador a pie de cañón solucionandolo, da gusto trabajar con gente seria.

 

Feliz dia!

Link to comment
Share on other sites

La 1.5.3 han corregido muchos bugs por lo que he podido comprobar. Yo tambien aconsejo esperar unos dias sobre todo en tiendas en producción antes de actualizar para evitarnos sorpresas. Es posible que dentro de unos dias saquen la 1.5.3.1 con este problema corregido o bien que actualizen el módulo de actualización de addons para evitar estos problemas.

 

Yo he actualizado dos PS desde la 1.5.2 a la 1.5.3 y no me ha dado ningún problema... ahi están funcionando, uno con plantilla y otro sin plantilla... (ambos PS los tengo para "trastear").

 

Aun así, deben conseguir que las actualizaciones sean lo mas transparentes posibles, aunque supongo que no es tarea facil...

 

Gracias a tod@s por vuestros aportes.

 

Un saludo!

Link to comment
Share on other sites

Buenas...

 

Yo he actualizado de la versión 1.5.2 a la 1.5.3 y todo parecía funcionar perfectamente hasta que intente modificar un producto, Me da Error y no consigo cambiar nada referente a un producto.

 

Tras varias pruebas he desistalado totalmente y he intentado una nueva instalación desde 0, con el mismo problema. Ahora he vuelto a instalar la 1.5.2 y hasta ahora todo funciona correctamente. No se si sera algún error de la versión o algún problema mio.

 

Por si a alguien le sirve, jeje. Saludos...

Link to comment
Share on other sites

Buenas...

 

Yo he actualizado de la versión 1.5.2 a la 1.5.3 y todo parecía funcionar perfectamente hasta que intente modificar un producto, Me da Error y no consigo cambiar nada referente a un producto.

 

Tras varias pruebas he desistalado totalmente y he intentado una nueva instalación desde 0, con el mismo problema. Ahora he vuelto a instalar la 1.5.2 y hasta ahora todo funciona correctamente. No se si sera algún error de la versión o algún problema mio.

 

Por si a alguien le sirve, jeje. Saludos...

 

que error te mostraba al momento de intentar modificar un producto?

Link to comment
Share on other sites

Por ejemplo cuando intentaba crear un producto nuevo

 

"Se ha producido un error mientras se creaba el objeto product"

 

No soy un experto pero parece que es algo de la base de datos. Pero he borrado la base de datos, he creado una nueva y una instalación desde cero, siempre con el mismo resultado. Al final he vuelto a 1.5.2 y parece que me va todo correctamente.

Link to comment
Share on other sites

Por ejemplo cuando intentaba crear un producto nuevo

 

"Se ha producido un error mientras se creaba el objeto product"

 

No soy un experto pero parece que es algo de la base de datos. Pero he borrado la base de datos, he creado una nueva y una instalación desde cero, siempre con el mismo resultado. Al final he vuelto a 1.5.2 y parece que me va todo correctamente.

 

Prueba actualizar de nuevo ahora. (ya que tienes un backup de por si, de todos modos)

 

Un Saludo

Edited by Rubalcaba (see edit history)
Link to comment
Share on other sites

¿Que vuelva a intentar actualizar a la versión 1.5.3 desde 1.5.2? Voy a obtener el mismo resultado, no crees?

 

Antes volví a la versión 1.5.2, como todo funcionaba bien, pensé en intentarlo de nuevo, a ver si había echo algo mal. Desistale todo de nuevo, e intente la instalación desde cero de 1.5.3, incluso sin productos de prueba, vacía pero no conseguí nada, me daba el mismo error, y no entiendo lo suficiente para localizarlo. Solo veo que no puedo crear ningún producto.

 

Si ves que puede servir de algo, lo intento, pero creo que sera mejor esperar a que la pongan a prueba, aún no tengo mi tienda en marcha, pero ya me queda muy poco, y el cambio de versión me esta retrasando mas, jeje.

 

¿Crees que puede servir de algo volver a intentarlo?

Link to comment
Share on other sites

Hola a todos.

 

A mi me pasa lo mismo, he actualizado de la 1.5.2 a la 1.5.3 y no hay manera de crear o modificar ningún producto.

 

He observado algo que no se si tiene importancia,

 

al intentar crear un producto me da el error "Se ha producido un error mientras se creaba el objeto product"

 

al intentar modificar uno existente el error es el mismo pero con () al final, así: "Se ha producido un error mientras se actualizaba el objeto product ()"

 

Viendo que no soy el único imagino que no es cosa mía, sino de la actualización. Lo malo es que no me atrevo a hacer rollback para no empeorarlo.

 

Un saludo

Link to comment
Share on other sites

Hola a todos.

 

A mi me pasa lo mismo, he actualizado de la 1.5.2 a la 1.5.3 y no hay manera de crear o modificar ningún producto.

 

He observado algo que no se si tiene importancia,

 

al intentar crear un producto me da el error "Se ha producido un error mientras se creaba el objeto product"

 

al intentar modificar uno existente el error es el mismo pero con () al final, así: "Se ha producido un error mientras se actualizaba el objeto product ()"

 

Viendo que no soy el único imagino que no es cosa mía, sino de la actualización. Lo malo es que no me atrevo a hacer rollback para no empeorarlo.

 

Un saludo

 

El roolback teoricamente funciona.

 

Saludos

Link to comment
Share on other sites

Y nadie se ha planteado volver a la 1.4.9 y pasar de las 1.5 hasta que dejen de petar? Por ahorraros quebraderos de cabeza, vamos.

 

Conoces alguna manera de hacerlo, ya tiniendo una tienda en total funcionamiento y con muchos actualizaciones de productos y módulos?

 

¿Y nadie se ha planteado volver a Windows XP, teniendo Windows 7? (Obtendras la misma respuesta de forma general)

 

Bueno a mi parecer windows 7 es mucho mejor, y el windows 8 me ha gustado xD

Link to comment
Share on other sites

Para los que os da un error en el objeto product, parece que la solución es la siguiente:

 

Editar prestadhop/config/defines.inc.php cambiando temporalmente esta línea

 

define('_PS_MODE_DEV_', false);

a

define('_PS_MODE_DEV_', true);

 

No se si os servirá. pero bueno, es una opción que por aquí os dejo.

Link to comment
Share on other sites

Parece que he dado con la solución en este post

http://www.prestashop.com/forums/topic/213042-upgrade-to-1530-problems/

 

Resumiendo, he seguido esto indicado por dagnez:

 

Yes, use MyPHPAdmin, go to your database, choose SQL tab and paste this:

alter table ps_product add column redirect_type int (10) ;

alter table ps_product_shop add column redirect_type int (10) ;

then click GO button on the bottom right.

 

 

De momento ya puedo agregar y modificar productos, espero que os sirva.

 

Un saludo.

  • Like 2
Link to comment
Share on other sites

Jo! que fuerte me parece, que saquen una nueva versión sin testear antes que se puede actualizar sin problemas.

Yo lo he probado con una tienda en pruebas desde local y tambien me ha dado error. Lo he hecho desde el modulo "Actualización 1-click" y no ha funcionado.

En fin esperaré un tiempo a ver que pasa.

Link to comment
Share on other sites

vaya!

 

Yo ya me había puesto los guantes de "proceder" y bueno, leyendo esta conversación, me quedaré con las ganas.

 

Lo que más me hacía ilusión era que han corregido el tema de las url amigables quitando los acentos.

Link to comment
Share on other sites

Habéis probado la reescritura? podéis cambiar por ejemplo meter el fabricante o alguna palabra entre medio, desde actualización nosotros no podemos pero una versión limipio no hemos podido probarlo todavía, y este tema es muy importante para no perder el posicionamiento si están "tuneadas"

 

Por lo que hemos probado los problemas vienen por actualizaciones de versiones antiguas a nuevas.

Respecto a lo que comenta Jordiob sin lugar a dudas la versión 1.4.9 es para nosotros la mejor. Pero claro la 1.5 trae muchas mejoras que poco a poco irán mejorando...yo optaría por la versión 1.5, la 1.5.3 limpia comienza a funcionar bien,

Link to comment
Share on other sites

Habéis probado la reescritura? podéis cambiar por ejemplo meter el fabricante o alguna palabra entre medio, desde actualización nosotros no podemos pero una versión limipio no hemos podido probarlo todavía, y este tema es muy importante para no perder el posicionamiento si están "tuneadas"

 

Por lo que hemos probado los problemas vienen por actualizaciones de versiones antiguas a nuevas.

Respecto a lo que comenta Jordiob sin lugar a dudas la versión 1.4.9 es para nosotros la mejor. Pero claro la 1.5 trae muchas mejoras que poco a poco irán mejorando...yo optaría por la versión 1.5, la 1.5.3 limpia comienza a funcionar bien,

La verdad es que a pesar de las soluciones que se han dado por aquí, en el Foro Inglés siguen apareciendo cada vez más fallos :unsure:

Parece que se soluciona una cosa y empieza a fallar otra. Así que mejor casi ni tocar código interno ni realizar cambios MySQL, porque lo mismo es peor el remedio que la enfermedad.

Lo mejor en mi opinión es esperar a una nueva versión.

 

De todas formas, habría que tener en cuenta que si tocamos demasiado código interno y demasiadas cosas de la Base de Datos (por módulos, bugs, fallos graves), vamos arrastrando cambios que los propios creadores de Prestashop no pueden tener en cuenta.

Link to comment
Share on other sites

Estimados,

Yo realice una instalación nueva y aparentemente funcionando todo correctamente, comunicación con la db.

Al querer ver el FrontOffice...

En Chrome y IE, tira error de Servidor, como que el sitio se encuentra en mantenimiento o mal configurado.

Simplemente lo he instalado, no he tocado nada.

Sin embargo no puedo ver el sitio.

 

El Back funcionaría bien por el momento.

 

No es de mis mejores experiencias a la hora de instalar un ecommerce y tampoco hay ayuda al respecto en el foro.

 

Si alguien tiene alguna idea...

 

Saludos.

Link to comment
Share on other sites

Estimados,

Yo realice una instalación nueva y aparentemente funcionando todo correctamente, comunicación con la db.

Al querer ver el FrontOffice...

En Chrome y IE, tira error de Servidor, como que el sitio se encuentra en mantenimiento o mal configurado.

Simplemente lo he instalado, no he tocado nada.

Sin embargo no puedo ver el sitio.

 

El Back funcionaría bien por el momento.

 

No es de mis mejores experiencias a la hora de instalar un ecommerce y tampoco hay ayuda al respecto en el foro.

 

Si alguien tiene alguna idea...

 

Saludos.

Yo no he tenido ningún problema desde una instalación limpia. Acabo de probar y funciona perfectamente bien en todos los navegadores. Así que no se cual puede ser tu problema.

 

¿El error que te da cual es exactamente?, ¿error 500?.

Link to comment
Share on other sites

Estimados,

Yo realice una instalación nueva y aparentemente funcionando todo correctamente, comunicación con la db.

Al querer ver el FrontOffice...

En Chrome y IE, tira error de Servidor, como que el sitio se encuentra en mantenimiento o mal configurado.

Simplemente lo he instalado, no he tocado nada.

Sin embargo no puedo ver el sitio.

 

El Back funcionaría bien por el momento.

 

No es de mis mejores experiencias a la hora de instalar un ecommerce y tampoco hay ayuda al respecto en el foro.

 

Si alguien tiene alguna idea...

 

Saludos.

 

Referente a tu post: http://www.prestashop.com/forums/topic/213188-no-funciona-el-frontoffice/ (tienes una respuesta)

Link to comment
Share on other sites

Pues yo estoy mas que quemado con las importaciones, que cruz de verdad... siempre hay soluciones pero bufff. En la version 1.5.2 No detectaba si tenias seleccionado Activo(0-No/1-Si) y activaba todos por defecto, lo solucioné importando todos los que estaban en stock y luego cambie a todos los que no el ID para tenerlos ordenados, los importé mas tarde y los desactivé.

Pensé bueno, a lo mejor a hora con la nueva versión esta solucionado... pues SI, está solucionado pero tiene un error mas grave aun, no me importa las imagenes desde URL que es lo que yo necesitaba asi que os podeis imaginar, para ahorrarme un buen trabajo haré copia de seguridad en la 1.5.3 la volcaré en la 1.5.2, importaré las fotos mediante URL y luego haré upgrade... asi es señores.... Suerte... no recomiendo tampoco actualizar de momento... Un saludo

Link to comment
Share on other sites

Conoces alguna manera de hacerlo, ya tiniendo una tienda en total funcionamiento y con muchos actualizaciones de productos y módulos?

 

Bueno a mi parecer windows 7 es mucho mejor, y el windows 8 me ha gustado xD

 

Siempre puedes hacerlo a mano. Yo lo prefiero, para controlar mejor el proceso.

Windows 8 es una mierda, como Windows 7. El truco de Windows es el mismo que el de Prestashop: instala una versión que funcione y capa las actualizaciones. Cada actualización de Windows, hace que vaya más lento. Y las últimas de Prestashop, hacen que no vaya :D

Link to comment
Share on other sites

Siempre puedes hacerlo a mano. Yo lo prefiero, para controlar mejor el proceso.

Windows 8 es una mierda, como Windows 7. El truco de Windows es el mismo que el de Prestashop: instala una versión que funcione y capa las actualizaciones. Cada actualización de Windows, hace que vaya más lento. Y las últimas de Prestashop, hacen que no vaya :D

 

Yo uso Windows 7, con mi licencia comprada ya que es necesaria por ley, y actualizo todos los días sin problema.

 

Un Saludo

Link to comment
Share on other sites

Y nadie se ha planteado volver a la 1.4.9 y pasar de las 1.5 hasta que dejen de petar? Por ahorraros quebraderos de cabeza, vamos.

 

buena sugerencia... pero los hay "masocas" como yo :-D. Aunque si da muchos mas problemas creo que es lo mejor... aunque tenga que guardar mi plantilla y modulos para 1.5 :(...

Link to comment
Share on other sites

Yo soy de los masocas también... me parece importantisimo estar siempre con la última versión y más despues de la 1.5 que tienes temas para movil gratis y eso a nivel de posicionamiento es bueno. Lo que si voy a probar es a importar los articulos en la 1.4.9 y luego actualizaré... ya os contaré.

Link to comment
Share on other sites

Yo soy de los masocas también... me parece importantisimo estar siempre con la última versión y más despues de la 1.5 que tienes temas para movil gratis y eso a nivel de posicionamiento es bueno. Lo que si voy a probar es a importar los articulos en la 1.4.9 y luego actualizaré... ya os contaré.

 

Además del "tema móvil" valora utilizar una plantilla "reponsive" que se adapta a cualquier dispositivo. Yo estoy probando "Leisure" con excelente resultado y un soporte inmejorable.

 

http://themeforest.net/item/leisure-responsive-html5-prestashop-theme/3605233?WT.ac=category_thumb&WT.seg_1=category_thumb&WT.z_author=smartdatasoft

 

Saludos.

Link to comment
Share on other sites

Además del "tema móvil" valora utilizar una plantilla "reponsive" que se adapta a cualquier dispositivo. Yo estoy probando "Leisure" con excelente resultado y un soporte inmejorable.

 

http://themeforest.n...r=smartdatasoft

 

Saludos.

Por cierto, esta plantilla que comentas tiene muy buena pinta.

 

Cuentame tu experiencia con la plantilla.

 

Un Saludo

Link to comment
Share on other sites

Por cierto, esta plantilla que comentas tiene muy buena pinta.

 

Cuentame tu experiencia con la plantilla.

 

Un Saludo

 

De momento la instalé y todo perfecto, estoy en contacto con los desarrolladores y están haciendo alguna mejoras para todos, os

gustará más cuando la probéis.

 

Merece mucho la pena: Leisure - Responsive HTML5 Prestashop Theme

 

Saludos!

Link to comment
Share on other sites

Ya sabes, 1.5.2 :)

 

yo me voy de viaje y no podre hacer las pruebas que quiero hacer, pero el martes que estoy de regreso actualizaré la tienda a la nueva versión y le meteré mano hasta que se arregle y este todo funcional (yo me arriesgo a esto porque asi me empeño en mejorar vosotros no lo hagas)

 

 

les voy a ir contando los problemas y tratando de entre todos solucionarlos a ver que pasa :D les parece bueno esto?

Link to comment
Share on other sites

De momento la instalé y todo perfecto, estoy en contacto con los desarrolladores y están haciendo alguna mejoras para todos, os

gustará más cuando la probéis.

 

Merece mucho la pena: Leisure - Responsive HTML5 Prestashop Theme

 

Saludos!

 

Lo primero gracias por la información.

 

----

 

Hola Jose,

 

Esta plantilla la tengo en mente desde hace tiempo, el comprarla, para estudiarla y verificar la totalidad de su funcionalidad.

 

Creo que me la guardare en la lista, para comprarla y revisar los posible errores.

 

Un Saludo

Link to comment
Share on other sites

Respecto a los errores que tengais en vuestra tienda Prestashop:

 

Ademas del enlace que ha comentado el usuario Rubalcaba:

 

 

Los que tengais problemas con la versión 1.5.3, os recomiendo pasaros por aquí: http://www.prestasho...-1530-problems/

 

Saludos

 

Os recomiendo visitar la sección especifica de Prestashop 1.5 en el foro Ingles: http://www.prestashop.com/forums/forum/165-prestashop-15/

 

Y estar al tanto del forge de Prestashop: http://forge.prestashop.com/secure/IssueNavigator.jspa y revisar https://github.com/PrestaShop

 

Un Saludo

Link to comment
Share on other sites

De momento la instalé y todo perfecto, estoy en contacto con los desarrolladores y están haciendo alguna mejoras para todos, os

gustará más cuando la probéis.

 

Merece mucho la pena: Leisure - Responsive HTML5 Prestashop Theme

 

Saludos!

 

jejeje! Themeforest lo parte eh? :D esta en concreto está muy bien parida. El HTML5 le da un plus de jerarquización del código brutal.

  • Like 1
Link to comment
Share on other sites

Lo primero gracias por la información.

 

----

 

Hola Jose,

 

Esta plantilla la tengo en mente desde hace tiempo, el comprarla, para estudiarla y verificar la totalidad de su funcionalidad.

 

Creo que me la guardare en la lista, para comprarla y revisar los posible errores.

 

Un Saludo

 

me gusta mucho, algunos errores que han surgido ya están solucionados, incluso la han mejorado. Por el momento "me encanta"... espero que lancen la revisión con los cambios y a instalarla.

 

Me alegra verte por aquí.

 

Un abrazo.

 

jejeje! Themeforest lo parte eh? :D esta en concreto está muy bien parida. El HTML5 le da un plus de jerarquización del código brutal.

 

Como ves sigo tus consejos... GRACIAS!

Link to comment
Share on other sites

Respecto a los errores que tengais en vuestra tienda Prestashop:

 

Ademas del enlace que ha comentado el usuario Rubalcaba:

 

 

 

 

Os recomiendo visitar la sección especifica de Prestashop 1.5 en el foro Ingles: http://www.prestasho...-prestashop-15/

 

Y estar al tanto del forge de Prestashop: http://forge.prestas...eNavigator.jspa y revisar https://github.com/PrestaShop

 

Un Saludo

 

Nadie!!! que gusto verte, tiempo que no veia un post tuyo, espero estes bien :D...

 

el enlace de github.com es una instalación de prestashop con las correcciones realizadas?

Link to comment
Share on other sites

Nadie!!! que gusto verte, tiempo que no veia un post tuyo, espero estes bien :D...

 

el enlace de github.com es una instalación de prestashop con las correcciones realizadas?

 

Estimado RicRey,

 

Si usted, accede a esta dirección:

 

https://github.com/PrestaShop/PrestaShop/issues?page=1&state=closed

 

Vera casos cerrados, de errores y si hace click, podra descargar la modificación pertinente del fichero en cuestión.

 

Si accede a esta dirección:

 

https://github.com/PrestaShop/PrestaShop/issues?page=1&state=open

 

Vera temas abiertos, con correcciones en directo.

Link to comment
Share on other sites

Estoy convencido que pronto lanzaran una revisión. Porque aunque han solucionado muchos errores de la 1.5.2 han provocado otros como el que no se pueda editar los productos y esto sin duda require de una revisión de inmediato.

A los que vayan a crear una tienda nueva yo les recomendaria la 1.4.9 a menos que necesiten particularidades concretas que viene con la 1.5 como es la opción multitienda. Confíemos en que el equipo de Prestashop pronto consiga obtener una versión estable de la 1.5.

Edited by petete2008 (see edit history)
Link to comment
Share on other sites

Estoy convencido que pronto lanzaran una revisión. Porque aunque han solucionado muchos errores de la 1.5.2 han provocado otros como el que no se pueda editar los productos y esto sin duda require de una revisión de inmediato.

A los que vayan a crear una tienda nueva yo les recomendaria la 1.4.9 a menos que necesiten particularidades concretas que viene con la 1.5 como es la opción multitienda. Confíemos en que el equipo de Prestashop pronto consiga obtener una versión estable de la 1.5.

 

Para el 2012, no creo que saquen una versión mas...

Link to comment
Share on other sites

Estoy convencido que pronto lanzaran una revisión. Porque aunque han solucionado muchos errores de la 1.5.2 han provocado otros como el que no se pueda editar los productos y esto sin duda require de una revisión de inmediato.

A los que vayan a crear una tienda nueva yo les recomendaria la 1.4.9 a menos que necesiten particularidades concretas que viene con la 1.5 como es la opción multitienda. Confíemos en que el equipo de Prestashop pronto consiga obtener una versión estable de la 1.5.

 

Usted que es una persona con experiencia en Pshop, no le suena todo esto a parche sobre parche y, en resumen, un poco ñapa? A mí me suena a eso. Lo siento, porque soy pro-Prestashop a muerte, pero me da la sensación de que toda la saga 1.5 es un despropósito tipo los episodios I, II y III de Star Wars.

  • Like 1
Link to comment
Share on other sites

Usted que es una persona con experiencia en Pshop, no le suena todo esto a parche sobre parche y, en resumen, un poco ñapa? A mí me suena a eso. Lo siento, porque soy pro-Prestashop a muerte, pero me da la sensación de que toda la saga 1.5 es un despropósito tipo los episodios I, II y III de Star Wars.

 

No me llame de usted que estamos entre amigos y soy un piolín. :)

Si hablamos de experiencia, desde hace tiempo te sigo y aprovecho para felicitarte en que tienes un blog muy bueno. Eres todo un maestro y referencia a seguir en Prestashop.

Lo de los parches llevas razón, ya vamos por la 1.5.3 y no esta estabilizada. Lamentablemente la gente no se baja la versión SVN e informa de errores sino que espera a que haya una versión nueva, actualizar y entonces reportar errores. Esto es algo que también se puede deducir, tras sacar una nueva versión como los fallos reportados al bug tracker aumentan. En la 1.5.3 han sido corregidos cientos de errores, aunque tengo que reconocer que se han precipitado en lanzarla en vez de testearla más a fondo para evitar errores tan graves como no poder editar una ficha de producto o fallos en actualización automática de 1.5.2 a 1.5.3.

Llevo muchos años con Prestashop y yo si quiero darles un voto de confianza al equipo que ha trabajado y sigue trabajando muy duro para brindarnos opciones tan impactantes como la multitienda, versión móvil, etc... y todo de forma altruista!!

Edited by petete2008 (see edit history)
  • Like 4
Link to comment
Share on other sites

En la 1.5.3 han sido corregidos cientos de errores, aunque tengo que reconocer que se han precipitado en lanzarla en vez de testearla más a fondo para evitar errores tan graves como no poder editar una ficha de producto o fallos en actualización automática de 1.5.2 a 1.5.3.

Mas de 400 errores. :)

Link to comment
Share on other sites

Por ejemplo cuando intentaba crear un producto nuevo

 

"Se ha producido un error mientras se creaba el objeto product"

 

No soy un experto pero parece que es algo de la base de datos. Pero he borrado la base de datos, he creado una nueva y una instalación desde cero, siempre con el mismo resultado. Al final he vuelto a 1.5.2 y parece que me va todo correctamente.

 

En el foro de Prestashop, el usuario Rubalcaba, te ha dado una respuesta valida, en principio para este problema, aquí: http://www.prestashop.com/forums/index.php?/topic/213267-solucionado-version-153-se-ha-producido-un-error-mientras-se-creaba-el-objeto-product/

Link to comment
Share on other sites

No me llame de usted que estamos entre amigos y soy un piolín. :)

Si hablamos de experiencia, desde hace tiempo te sigo y aprovecho para felicitarte en que tienes un blog muy bueno. Eres todo un maestro y referencia a seguir en Prestashop.

 

Me has sacado los colores! :D :D :D

Link to comment
Share on other sites

El oraculo petete2008 :)

 

¿Desde el 2009 por lo que veo? ¿no?

 

Era de cajón porque ni se podía editar productos ni actualizar de la 1.5.2 a la 1.5.3 :)

El oraculo es de matrix, yo soy el del libro gordo!! jajaja.

 

Y si, me inicie en prestashop en el 2008 en otro foro que hoy en día no ya no hay movimiento y luego me dí de alta en este y aqui sigo aprendiendo de maestros!! :)

Link to comment
Share on other sites

Hola, una preguntilla, para actualizar de 1.5.2 a 1.5.3 , de momento me voy a esperar, porque lo intenté, me dio problema y consegui dejarlo como estaba pero lo hice con este modulo:

 

1-click Upgrade

 

 

es correcto o me recomendais que lo haga de otra forma?

 

un saludo y Feliz 2013

Link to comment
Share on other sites

Hola, una preguntilla, para actualizar de 1.5.2 a 1.5.3 , de momento me voy a esperar, porque lo intenté, me dio problema y consegui dejarlo como estaba pero lo hice con este modulo:

 

1-click Upgrade

 

 

es correcto o me recomendais que lo haga de otra forma?

 

un saludo y Feliz 2013

 

Estimado victorgomez36,

 

Usted puede actualizar sin grandes complicaciones con el modulo que comentas:

 

 1-click Upgrade

 

Verifique simplemente que este usando usted la ultima versión de tal modulo. (http://addons.prestashop.com/es/administracion-prestashop-modulo/5496-autoupgrade.html)

 

Un Saludo

  • Like 1
Link to comment
Share on other sites

Estimado victorgomez36,

 

Usted puede actualizar sin grandes complicaciones con el modulo que comentas:

 

 1-click Upgrade

 

Verifique simplemente que este usando usted la ultima versión de tal modulo. (http://addons.presta...utoupgrade.html)

 

Un Saludo

 

Gracias Sr. tocayo, y no me hable de usted, por favor.

 

por cierto, lo suyo seria esperar verdad?, a que se arregle todo sobre la version 1.5.3.

Link to comment
Share on other sites

Gracias Sr. tocayo, y no me hable de usted, por favor.

 

por cierto, lo suyo seria esperar verdad?, a que se arregle todo sobre la version 1.5.3.

 

Estimado victorgomez36,

 

En la versión 1.5.3.1 que sacaron ayer, se han corregido errores "importantes" sobre la 1.5.3 (sobre la 1.5.2, se han corregido muchos mas errores), pero eso no quita que no haya errores en la versión 1.5.3.1, por que tenerlos los tendrá.

 

Un Saludo

Link to comment
Share on other sites

Nuestra opinión es que es una gran versión pero le falta pulir puntos "cruciales"...el problema es que han cambiado su modelo de trabajo y ahora es la comunidad la que reporta y corrige muchos de los problemas, esto puede ser una ventaja o una desventaja...

 

La url amigables de los productos no se peueden personalizar, esto supone que si las tienes tuneadas no puedas si no empiezas a tocar código. Con las cookies y la cache hay más problemas que espero hayan solucionado en la nueva versión....

  • Like 1
Link to comment
Share on other sites

la actualización salio perfecta sin error alguno, pero al intentar instalar el módulo de @Shacker el Pmobile, me da el siguiente error grave

 

adjunto imagen

 

si alguien sabe como arreglarlo se lo agradecería mucho

post-372886-0-88609200-1357135494_thumb.jpg

Link to comment
Share on other sites